## openlugaru 0~20110520.1%2Bhge4354%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLUGARU_INSTALL_PREFIX=/usr/lib/games/openlugaru/

override_dh_auto_build:
	convert 'Source/win-res/lugaru.ico[6]' debian/openlugaru.png
	convert 'Source/win-res/lugaru.ico[7]' debian/openlugaru.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mkdir -p debian/openlugaru/usr/lib/games/openlugaru
	mv debian/openlugaru/usr/lib/games/openlugaru/lugaru \
		debian/openlugaru/usr/lib/games/openlugaru/openlugaru
	mv debian/openlugaru/usr/share/icons/hicolor/128x128/apps/Lugaru.png \
		debian/openlugaru/usr/share/icons/hicolor/128x128/apps/openlugaru.png

URL="https://lugaru.googlecode.com/hg/"
REV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]hg([0-9a-z]+).*,\1,p')
DATEREV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]([0-9]+.[0-9]+).*,\1,p')
DIR_ORIG=openlugaru-0~$(DATEREV_ORIG)+hg$(REV_ORIG).orig
TARBALL_ORIG=openlugaru_0~$(DATEREV_ORIG)+hg$(REV_ORIG)+dfsg.orig.tar.gz
get-orig-source:
	rm -rf $(DIR_ORIG)
	hg clone $(URL) $(DIR_ORIG) -r $(REV_ORIG)
	find $(DIR_ORIG) -name ".hgignore" -print -delete
	find $(DIR_ORIG) -name ".hgsigs" -print -delete
	find $(DIR_ORIG) -name ".hgtags" -print -delete
	rm -rf $(DIR_ORIG)/.hg/
	rm -rf $(DIR_ORIG)/Data/
	rm -rf $(DIR_ORIG)/Dependencies/
	rm -rf $(DIR_ORIG)/Xcode/
	rm -f $(DIR_ORIG)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_ORIG) $(DIR_ORIG)
	rm -rf $(DIR_ORIG)

URL="https://lugaru.googlecode.com/hg/"
REV_CUR=$(shell hg identify -i $(URL) | cut --characters=-5)
# Can't get date of last hg commit easily, use current date as fallback
DATEREV_CUR=$(shell date +%Y%m%d).1
DIR_CUR=openlugaru-0~$(DATEREV_CUR)+hg$(REV_CUR).orig
TARBALL_CUR=openlugaru_0~$(DATEREV_CUR)+hg$(REV_CUR)+dfsg.orig.tar.gz
get-current-source:
	rm -rf $(DIR_CUR)
	hg clone $(URL) $(DIR_CUR) -r $(REV_CUR)
	find $(DIR_CUR) -name ".hgignore" -print -delete
	find $(DIR_CUR) -name ".hgsigs" -print -delete
	find $(DIR_CUR) -name ".hgtags" -print -delete
	rm -rf $(DIR_CUR)/.hg/
	rm -rf $(DIR_CUR)/Data/
	rm -rf $(DIR_CUR)/Dependencies/
	rm -rf $(DIR_CUR)/Xcode/
	rm -f $(DIR_CUR)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_CUR) $(DIR_CUR)
	rm -rf $(DIR_CUR)

## openlugaru 0~20110520.1+hge4354+dfsg

=== CMakeLists.txt ===
project(lugaru)

cmake_minimum_required(VERSION 2.6)

set(SRCDIR "${CMAKE_CURRENT_SOURCE_DIR}/Source")
set(DEPDIR "${CMAKE_CURRENT_SOURCE_DIR}/Dependencies")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel"
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(NOT LUGARU_INSTALL_PREFIX)
  if(WIN32)
     set(LUGARU_INSTALL_PREFIX "C:/Lugaru" CACHE PATH
     "LUGARU_INSTALL_PREFIX: Install path prefix, prepended onto install directories."
      FORCE)
  else(WIN32)
     set(LUGARU_INSTALL_PREFIX "/usr/local/lugaru" CACHE PATH
     "CMAKE_INSTALL_PREFIX: Install path prefix, prepended onto install directories."
      FORCE)
  endif(WIN32)
endif(NOT LUGARU_INSTALL_PREFIX)

set(CMAKE_INSTALL_PREFIX "${LUGARU_INSTALL_PREFIX}" CACHE INTERNAL "Prefix prepended to install directories" FORCE)

if(MINGW)
	set(OPENGL_gl_LIBRARY "-lopengl32" CACHE STRING "OpenGL library for Win32" FORCE)
	set(OPENGL_glu_LIBRARY "-lglu32" CACHE STRING "GLU library for Win32" FORCE)
endif(MINGW)

if(APPLE)
	set(CMAKE_OSX_ARCHITECTURES "i386;x86_64;ppc" CACHE STRING "Build architectures for OSX")
	set(CMAKE_OSX_DEPLOYMENT_TARGET "10.5" CACHE STRING 
		"Minimum OS X version to target for deployment (at runtime); newer APIs weak linked. Set to empty string for default value")
	set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk" CACHE PATH 
		"The product will be built against the headers and libraries located inside the indicated SDK.")
endif(APPLE)

if(APPLE)
	# Save our sanity; Set all available libraries to internal by default
	set(LUGARU_FORCE_INTERNAL_SDL True)
	set(LUGARU_FORCE_INTERNAL_GLU True)
	set(LUGARU_FORCE_INTERNAL_JPEG True)
	set(LUGARU_FORCE_INTERNAL_PNG True)
	set(LUGARU_FORCE_INTERNAL_VORBIS True)
	set(LUGARU_FORCE_INTERNAL_ZLIB True)
endif(APPLE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

set(LUGARU_SRCS
	${SRCDIR}/Frustum.cpp
	${SRCDIR}/Account.cpp
	${SRCDIR}/Game.cpp
	${SRCDIR}/GameDraw.cpp
	${SRCDIR}/GameInitDispose.cpp
	${SRCDIR}/GameTick.cpp
	${SRCDIR}/Globals.cpp
	${SRCDIR}/Lights.cpp
	${SRCDIR}/Models.cpp
	${SRCDIR}/Objects.cpp
	${SRCDIR}/pack.c
	${SRCDIR}/Person.cpp
	${SRCDIR}/private.c
	${SRCDIR}/Quaternions.cpp
	${SRCDIR}/Skeleton.cpp
	${SRCDIR}/Skybox.cpp
	${SRCDIR}/Sprite.cpp
	${SRCDIR}/Terrain.cpp
	${SRCDIR}/Texture.cpp
	${SRCDIR}/Text.cpp
	${SRCDIR}/TGALoader.cpp
	${SRCDIR}/unpack.c
	${SRCDIR}/Weapons.cpp
	${SRCDIR}/OpenGL_Windows.cpp
	${SRCDIR}/openal_wrapper.cpp
	${SRCDIR}/Input.cpp
	${SRCDIR}/Settings.cpp
	${SRCDIR}/Stereo.cpp
	${SRCDIR}/Animation.cpp
	${SRCDIR}/Sounds.cpp
	${SRCDIR}/Awards.cpp
)

set(LUGARU_H
	${SRCDIR}/Frustum.h
	${SRCDIR}/Account.h
	${SRCDIR}/Game.h
	${SRCDIR}/Lights.h
	${SRCDIR}/Models.h
	${SRCDIR}/Objects.h
	${SRCDIR}/Person.h
	${SRCDIR}/PhysicsMath.h
	${SRCDIR}/Quaternions.h
	${SRCDIR}/Random.h
	${SRCDIR}/Skeleton.h
	${SRCDIR}/Skybox.h
	${SRCDIR}/Sprite.h
	${SRCDIR}/TGALoader.h
	${SRCDIR}/Terrain.h
	${SRCDIR}/Texture.h
	${SRCDIR}/Text.h
	${SRCDIR}/Weapons.h
	${SRCDIR}/Input.h
	${SRCDIR}/alstubs.h
	${SRCDIR}/binio.h
	${SRCDIR}/openal_wrapper.h
	${SRCDIR}/gamegl.h
	${SRCDIR}/glstubs.h
	${SRCDIR}/private.h
	${SRCDIR}/Settings.h
	${SRCDIR}/Stereo.h
	${SRCDIR}/Animation.h
	${SRCDIR}/Animation.def
	${SRCDIR}/Sounds.h
	${SRCDIR}/Sounds.def
)

if(UNIX)
	set(LUGARU_SRCS
		${LUGARU_SRCS}
		${SRCDIR}/MacCompatibility.cpp
	)
	set(LUGARU_H
		${LUGARU_H}
		${SRCDIR}/MacCompatibility.h
	)
endif(UNIX)

if(MSVC) # MSVC non-C99 support biting us hard
	set(LUGARU_H
		${LUGARU_H}
		${DEPDIR}/msinttypes/stdint.h
		${DEPDIR}/msinttypes/inttypes.h
	)
endif(MSVC)

if(WIN32)
  if(CMAKE_CROSSCOMPILING)
    ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
						  COMMAND i686-pc-mingw32-windres
							  -I${SRCDIR}/win-res
							  -o ${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
							  -i${SRCDIR}/win-res/Lugaru.rc
					      DEPENDS ${SRCDIR}/win-res/Lugaru.rc
						  )
  endif(CMAKE_CROSSCOMPILING)
  if(NOT CMAKE_CROSSCOMPILING)
   if(MSVC)
    ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
						  COMMAND rc
							  -I${SRCDIR}/win-res
							  -fo${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
							  ${SRCDIR}/win-res/Lugaru.rc
					      DEPENDS ${SRCDIR}/win-res/Lugaru.rc
						  )
   endif(MSVC)
   if(MINGW)
    ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
						  COMMAND windres
							  -I${SRCDIR}/win-res
							  -o ${CMAKE_CURRENT_BINARY_DIR}/lugaru_resource.obj
							  -i${SRCDIR}/win-res/Lugaru.rc
					      DEPENDS ${SRCDIR}/win-res/Lugaru.rc
						  )
   endif(MINGW)
  endif(NOT CMAKE_CROSSCOMPILING)

  # !!! FIXME: get rid of this.
  set(LUGARU_SRCS
	${LUGARU_SRCS}
	${SRCDIR}/WinDefs.cpp)

  set(LUGARU_H
	${LUGARU_H}
	${SRCDIR}/WinDefs.h
	${SRCDIR}/win-res/resource.h)
endif(WIN32)

if (APPLE)
    set(PLATFORM_LIBS "-framework Carbon -framework Cocoa -framework OpenGL -framework OpenAL")
endif (APPLE)

# Deal with dependencies...
find_package(OpenGL REQUIRED)
# force this include dir no matter what on Windows, so we get sane headers.
if(NOT WIN32)
	option (LUGARU_FORCE_INTERNAL_OPENGL "Force internal OpenGL headers, even if there's a system version" True)
	if (LUGARU_FORCE_INTERNAL_OPENGL)
		include_directories("${DEPDIR}/OpenGL")
	endif (LUGARU_FORCE_INTERNAL_OPENGL)
endif(NOT WIN32)

if(WIN32)
	include_directories("${DEPDIR}/OpenGL")
endif(WIN32)

if(MSVC) # More Visual Studio annoyances
	include_directories("${DEPDIR}/msinttypes")
endif(MSVC)

option (LUGARU_FORCE_INTERNAL_OPENAL "Force internal libOpenAL, even if there's a system version" False)
if (NOT LUGARU_FORCE_INTERNAL_OPENAL)
	find_package(OpenAL REQUIRED)
else(NOT LUGARU_FORCE_INTERNAL_OPENAL)
	set(OPENAL_FOUND False)
endif (NOT LUGARU_FORCE_INTERNAL_OPENAL)

if (NOT OPENAL_FOUND OR LUGARU_FORCE_INTERNAL_OPENAL)
    message(STATUS "Using internal copy of OpenAL")
    set(LUGARU_MISSING_DEPS "${LUGARU_MISSING_DEPS} OpenAL")
    set(OPENALDIR "${DEPDIR}/OpenAL")
    set(OPENAL_INCLUDE_DIR "${OPENALDIR}/include/AL")
    set(OPENAL_LIBRARY "")

    if (WIN32)
        set(LUGARU_HAS_INTERNAL_OPENAL True)
        if (MSVC80)
            set(OPENAL_LIBRARY
                ${OPENALDIR}/lib/win32/msvc2005/OpenAL32.lib
            )
        endif (MSVC80)
        if (MSVC90)
            set(OPENAL_LIBRARY
                ${OPENALDIR}/lib/win32/msvc2008/OpenAL32.lib
            )
        endif (MSVC90)
        if (MINGW)
            set(OPENAL_LIBRARY
                ${OPENALDIR}/lib/win32/mingw/libOpenAL32.dll.a
            )
        endif (MINGW)
     endif(WIN32)

    if (NOT LUGARU_HAS_INTERNAL_OPENAL)
        message(ERROR "We don't have a prebuilt OpenAL for this platform.")
    endif (NOT LUGARU_HAS_INTERNAL_OPENAL)
endif (NOT OPENAL_FOUND OR LUGARU_FORCE_INTERNAL_OPENAL)

option (LUGARU_FORCE_INTERNAL_SDL "Force internal libSDL, even if there's a system version" False)
if (NOT LUGARU_FORCE_INTERNAL_SDL)
    find_package(SDL)
else(NOT LUGARU_FORCE_INTERNAL_SDL)
	set(SDL_FOUND False)
endif (NOT LUGARU_FORCE_INTERNAL_SDL)

if (NOT SDL_FOUND)
    message(STATUS "Using internal copy of SDL")
    set(LUGARU_MISSING_DEPS "${LUGARU_MISSING_DEPS} SDL")
    set(SDLDIR "${DEPDIR}/SDL12")
    set(SDL_INCLUDE_DIR "${SDLDIR}/include")
    set(SDL_LIBRARY "")
    if (APPLE)
        set(LUGARU_HAS_INTERNAL_SDL True)
        set(SDL_LIBRARY
            ${SDLDIR}/lib/macosx/libSDL-1.2.0.dylib
            ${SDLDIR}/lib/macosx/libSDLmain-osx.a
        )
    endif (APPLE)

    if (WIN32)
        set(LUGARU_HAS_INTERNAL_SDL True)
        if (MSVC80)
          set(SDL_LIBRARY
              ${SDLDIR}/lib/win32/msvc2005/SDLmain.lib
              ${SDLDIR}/lib/win32/msvc2005/SDL.lib
          )
        endif (MSVC80)
        if (MSVC90)
          set(SDL_LIBRARY
              ${SDLDIR}/lib/win32/msvc2008/SDLmain.lib
              ${SDLDIR}/lib/win32/msvc2008/SDL.lib
          )
        endif (MSVC90)
        if (MINGW)
          set(SDL_LIBRARY
              "mingw32"
              ${SDLDIR}/lib/win32/mingw/libSDLmain.a
              ${SDLDIR}/lib/win32/mingw/libSDL.dll.a
              "-mwindows"
          )
        endif (MINGW)
    endif (WIN32)

    if (NOT LUGARU_HAS_INTERNAL_SDL)
        message(ERROR "We don't have a prebuilt SDL for this platform.")
    endif (NOT LUGARU_HAS_INTERNAL_SDL)
endif (NOT SDL_FOUND)

option (LUGARU_FORCE_INTERNAL_PNG "Force internal libPNG, even if there's a system version" False)
if (NOT LUGARU_FORCE_INTERNAL_PNG)
    find_package(PNG)
else(NOT LUGARU_FORCE_INTERNAL_PNG)
	set(PNG_FOUND False)
endif (NOT LUGARU_FORCE_INTERNAL_PNG)

if (NOT PNG_FOUND)
    message(STATUS "Using internal copy of libpng")
    set(LUGARU_MISSING_DEPS "${LUGARU_MISSING_DEPS} PNG")
    set(PNGDIR "${DEPDIR}/libpng")
    set(PNG_INCLUDE_DIR "${PNGDIR}")
    set(PNG_LIBRARY "")
    set(LUGARU_SRCS
        ${LUGARU_SRCS}
        ${PNGDIR}/png.c
        ${PNGDIR}/pngerror.c
        ${PNGDIR}/pngget.c
        ${PNGDIR}/pngmem.c
        ${PNGDIR}/pngpread.c
        ${PNGDIR}/pngread.c
        ${PNGDIR}/pngrio.c
        ${PNGDIR}/pngrtran.c
        ${PNGDIR}/pngrutil.c
        ${PNGDIR}/pngset.c
        ${PNGDIR}/pngtrans.c
        ${PNGDIR}/pngwio.c
        ${PNGDIR}/pngwrite.c
        ${PNGDIR}/pngwtran.c
        ${PNGDIR}/pngwutil.c
    )
endif (NOT PNG_FOUND)

option (LUGARU_FORCE_INTERNAL_JPEG "Force internal libJPEG, even if there's a system version" False)
if (NOT LUGARU_FORCE_INTERNAL_JPEG)
    find_package(JPEG)
else(NOT LUGARU_FORCE_INTERNAL_JPEG)
	set(JPEG_FOUND False)
endif (NOT LUGARU_FORCE_INTERNAL_JPEG)

if (NOT JPEG_FOUND)
    message(STATUS "Using internal copy of libjpeg")
    set(LUGARU_MISSING_DEPS "${LUGARU_MISSING_DEPS} JPEG")
    set(JPEGDIR "${DEPDIR}/libjpeg")
    set(JPEG_INCLUDE_DIR "${JPEGDIR}")
    set(JPEG_LIBRARY "")
    set(LUGARU_SRCS
        ${LUGARU_SRCS}
        ${JPEGDIR}/jdapistd.c
        ${JPEGDIR}/jdmaster.c
        ${JPEGDIR}/jdapimin.c
        ${JPEGDIR}/jcapimin.c
        ${JPEGDIR}/jdmerge.c
        ${JPEGDIR}/jdatasrc.c
        ${JPEGDIR}/jdatadst.c
        ${JPEGDIR}/jdcoefct.c
        ${JPEGDIR}/jdcolor.c
        ${JPEGDIR}/jddctmgr.c
        ${JPEGDIR}/jdhuff.c
        ${JPEGDIR}/jdinput.c
        ${JPEGDIR}/jdmainct.c
        ${JPEGDIR}/jdmarker.c
        ${JPEGDIR}/jdpostct.c
        ${JPEGDIR}/jdsample.c
        ${JPEGDIR}/jdtrans.c
        ${JPEGDIR}/jerror.c
        ${JPEGDIR}/jidctflt.c
        ${JPEGDIR}/jidctfst.c
        ${JPEGDIR}/jidctint.c
        ${JPEGDIR}/jmemmgr.c
        ${JPEGDIR}/jutils.c
        ${JPEGDIR}/jmemnobs.c
        ${JPEGDIR}/jquant1.c
        ${JPEGDIR}/jquant2.c
        ${JPEGDIR}/jcomapi.c
        ${JPEGDIR}/jcmarker.c
        ${JPEGDIR}/jcapistd.c
        ${JPEGDIR}/jcparam.c
        ${JPEGDIR}/jcinit.c
        ${JPEGDIR}/jcdctmgr.c
        ${JPEGDIR}/jccoefct.c
        ${JPEGDIR}/jcmainct.c
        ${JPEGDIR}/jfdctflt.c
        ${JPEGDIR}/jfdctint.c
        ${JPEGDIR}/jfdctfst.c
        ${JPEGDIR}/jchuff.c
        ${JPEGDIR}/jcsample.c
        ${JPEGDIR}/jcmaster.c
        ${JPEGDIR}/jccolor.c
        ${JPEGDIR}/jcprepct.c
        ${JPEGDIR}/jcarith.c
        ${JPEGDIR}/jdarith.c
        ${JPEGDIR}/jaricom.c
    )
endif (NOT JPEG_FOUND)

option (LUGARU_FORCE_INTERNAL_ZLIB "Force internal zlib, even if there's a system version" False)
if (NOT LUGARU_FORCE_INTERNAL_ZLIB)
    find_package(ZLIB)
else(NOT LUGARU_FORCE_INTERNAL_ZLIB)
	set(ZLIB_FOUND False)
endif (NOT LUGARU_FORCE_INTERNAL_ZLIB)

if (NOT ZLIB_FOUND)
    message(STATUS "Using internal copy of zlib")
    set(LUGARU_MISSING_DEPS "${LUGARU_MISSING_DEPS} ZLIB")
    set(ZLIBDIR "${DEPDIR}/zlib")
    set(ZLIB_INCLUDE_DIR "${ZLIBDIR}")
    set(ZLIB_LIBRARIES "")
    set(LUGARU_SRCS
        ${LUGARU_SRCS}
        ${ZLIBDIR}/adler32.c
        ${ZLIBDIR}/compress.c
        ${ZLIBDIR}/crc32.c
        ${ZLIBDIR}/deflate.c

=== debian/changelog ===
openlugaru (0~20110520.1+hge4354+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * Drop transitional dummy package lugaru.
  * openlugaru.desktop: Add keywords and a comment in German.
  * Update Homepage and Source address because the project has moved to
    bitbucket.org.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 21:26:40 +0100

openlugaru (0~20110520.1+hge4354+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove libjpeg8-dev from Build-Depends (Closes: #765805)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Oct 2014 10:20:02 +0200

openlugaru (0~20110520.1+hge4354+dfsg-4) unstable; urgency=low

  * Rename package to openlugaru, in order to distinguish from official Lugaru
    which is still distributed by Wolfire Games
    - add debian/patches/change-homedir-to-use-openlugaru-name.patch
  * Update Standards-Version to 3.9.4
    - Add "-b debian_source" in Vcs-Git field
  * Change to "canonical" VCS-links, ("anonscm")

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 16 Aug 2013 00:54:13 +0200

lugaru (0~20110520.1+hge4354+dfsg-3) unstable; urgency=low

  * Remove unnecessary linux-libc-dev dependency
  * dh compat level 9 for hardening build flags
  * Remove libglew1.7-dev and only use libglew-dev build-dependency
    (Closes: 675775), FTBFS

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 03 Jun 2012 12:06:05 +0200

lugaru (0~20110520.1+hge4354+dfsg-2) unstable; urgency=low

  * Rework launcher script to start windowed and with no mouse grabbing per
    default.
  * Update manual page:
    - Information regarding fullscreen and input grabbing,
    - document -h|-help|--help commandline
  * Change Arand -> Martin, same person, now with real name
  * Fix naming of 128x128 icon so it is used properly
  * Standards-Version 3.9.3
    - Update DEP-5 Format: link
  * Add unversioned library depend alternatives
    - libglu1-mesa-dev | libglu-dev
    - libglew1.5-dev | libglew-dev
    - libsdl1.2-dev | libsdl-dev
    - zlib1g-dev | libz-dev
  * Rename and refresh patches
    - Add DEP-3 tag to dont-install-data.patch
  * Build-Depends on libpng-dev, change from libpng12-dev (Closes: 662424)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 05 Mar 2012 08:26:50 +0100

lugaru (0~20110520.1+hge4354+dfsg-1) unstable; urgency=low

  * Initial release (Closes: 626156)
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free
  * debian/patches/0001-fixed-bad-resolution-on-first-run: commit c699faa41aaf
    from p/lugaru-experimental fixing 0x0 resolution config writeout on start

 -- Arand Nash <ienorand@gmail.com>  Mon, 30 May 2011 19:15:31 +0100

=== debian/control ===
Source: openlugaru
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               imagemagick,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl1.2-dev | libsdl-dev,
               libvorbis-dev,
               libx11-dev,
               mesa-common-dev,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/osslugaru/lugaru/wiki/Home
Vcs-Git: git://anonscm.debian.org/pkg-games/openlugaru.git -b debian_source
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/openlugaru.git

Package: openlugaru
Architecture: any
Depends: openlugaru-data, ${misc:Depends}, ${shlibs:Depends}
Replaces: lugaru (<< 0~20110520.1+hge4354-4~)
Breaks: lugaru (<< 0~20110520.1+hge4354-4~)
Description: third-person rabbit action game
 OpenLugaru is a third-person, single-player action game featuring an
 anthropomorphic rabbit as the main character. It contains two campaigns and a
 set of challenges, where the player takes on hostile rabbits and wolves using
 stealth, quick reflexes and a set of deadly weapons.
 .
 OpenLugaru is based on the free source code from the original Lugaru by
 Wolfire Games, and uses a limited subset of the original art (which has been
 released for free and/or gratis). It also includes the custom 'Temple'
 campaign by 'Slib' and some of its custom art.

=== debian/watch ===
# Lugaru is kept in a googlecode mercurial VCS and does not have any up-to-date
# point releases, please use the get-current-source for grabbing new snapshots.
